QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
QXmppVideoFrame Class Reference

The QXmppVideoFrame class provides a representation of a frame of video data. More...

`#include <QXmppRtpChannel.h>`

List of all members.

## Public Types
enum | PixelFormat { Format_Invalid = 0, Format_RGB32 = 3, Format_RGB24 = 4, Format_YUV420P = 18, Format_UYVY = 20, Format_YUYV = 21 }
## Public Member Functions
| QXmppVideoFrame ()
| QXmppVideoFrame (int bytes, const QSize &size, int bytesPerLine, PixelFormat format)
uchar * | bits ()
const uchar * | bits () const
int | bytesPerLine () const
int | height () const
bool | isValid () const
int | mappedBytes () const
PixelFormat | pixelFormat () const
QSize | size () const
int | width () const

## Detailed Description

The QXmppVideoFrame class provides a representation of a frame of video data.

Note:
  THIS API IS NOT FINALIZED YET

## Constructor & Destructor Documentation

QXmppVideoFrame::QXmppVideoFrame | ( |  | ) |

Constructs a null video frame.

QXmppVideoFrame::QXmppVideoFrame | ( | int | bytes,
|  | const QSize & | size,
|  | int | bytesPerLine,
|  | PixelFormat | format
| ) |  |

Constructs a video frame of the given pixel format and size in pixels.

Parameters:

  bytes |
  size |
  bytesPerLine |
  format |

## Member Function Documentation

int QXmppVideoFrame::bytesPerLine | ( |  | ) | const

Returns the number of bytes in a scan line.

int QXmppVideoFrame::height | ( |  | ) | const

Returns the height of a video frame.

bool QXmppVideoFrame::isValid | ( |  | ) | const

Returns true if the frame is valid.

int QXmppVideoFrame::mappedBytes | ( |  | ) | const

Returns the number of bytes occupied by the mapped frame data.

QXmppVideoFrame::PixelFormat QXmppVideoFrame::pixelFormat | ( |  | ) | const

Returns the color format of a video frame.

QSize QXmppVideoFrame::size | ( |  | ) | const

Returns the size of a video frame.

int QXmppVideoFrame::width | ( |  | ) | const

Returns the width of a video frame.

The documentation for this class was generated from the following files:

- QXmppRtpChannel.h
- QXmppRtpChannel.cpp

All Classes Functions Enumerations Enumerator Properties